package electionSimulator;
import java.util.ArrayList;

/**
 * This class encodes the polling analysis through Sept. 22, 2008 by
 * fivethirtyeight.com.
 * 
 * @author Curt Clifton. Created Sep 23, 2008.
 */
public class DataFromSept22 {

	/**
	 * @return a list of all 50 states populated with the polling data
	 */
	public static ArrayList<State> states() {
		ArrayList<State> result = new ArrayList<State>();
		
		result.add(new State("Alabama", 9, .390, .592));
		result.add(new State("Alaska", 3, .422, .568));
		result.add(new State("Arizona", 10, .438, .543));
		result.add(new State("Arkansas", 6, .439, .551));
		result.add(new State("California", 55, .563, .414));
		result.add(new State("Colorado", 9, .513, .470));
		result.add(new State("Connecticut", 7, .568, .419));
		result.add(new State("Delaware", 3, .574, .415));
		result.add(new State("District of Columbia", 3, .842, .147));
		result.add(new State("Florida", 27, .487, .500));
		result.add(new State("Georgia", 15, .458, .538));
		result.add(new State("Hawaii", 4, .630, .360));
		result.add(new State("Idaho", 4, .352, .635));
		result.add(new State("Illinois", 21, .582, .404));
		result.add(new State("Indiana", 11, .484, .497));
		result.add(new State("Iowa", 7, .545, .440));
		result.add(new State("Kansas", 6, .408, .587));
		result.add(new State("Kentucky", 8, .410, .578));
		result.add(new State("Louisiana", 9, .459, .533));
		result.add(new State("Maine", 4, .552, .431));
		result.add(new State("Maryland", 10, .587, .400));
		result.add(new State("Massachusetts", 12, .580, .404));
		result.add(new State("Michigan", 17, .515, .461));
		result.add(new State("Minnesota", 10, .530, .457));
		result.add(new State("Mississippi", 6, .446, .548));
		result.add(new State("Missouri", 11, .485, .507));
		result.add(new State("Montana", 3, .485, .510));
		result.add(new State("Nebraska", 5, .399, .589));
		result.add(new State("Nevada", 5, .491, .491));
		result.add(new State("New Hampshire", 4, .503, .482));
		result.add(new State("New Jersey", 15, .533, .445));
		result.add(new State("New Mexico", 5, .533, .456));
		result.add(new State("New York", 31, .573, .410));
		result.add(new State("North Carolina", 15, .480, .501));
		result.add(new State("North Dakota", 3, .453, .537));
		result.add(new State("Ohio", 20, .491, .487));
		result.add(new State("Oklahoma", 7, .367, .626));
		result.add(new State("Oregon", 7, .542, .436));
		result.add(new State("Pennsylvania", 21, .512, .464));
		result.add(new State("Rhode Island", 4, .585, .381));
		result.add(new State("South Carolina", 8, .449, .543));
		result.add(new State("South Dakota", 3, .429, .556));
		result.add(new State("Tennessee", 11, .404, .590));
		result.add(new State("Texas", 34, .437, .550));
		result.add(new State("Utah", 5, .338, .641));
		result.add(new State("Vermont", 3, .618, .369));
		result.add(new State("Virginia", 13, .512, .479));
		result.add(new State("Washington", 11, .543, .441));
		result.add(new State("West Virginia", 5, .462, .508));
		result.add(new State("Wisconsin", 10, .529, .454));
		result.add(new State("Wyoming", 3, .367, .624));

		return result;
	}

}
